Subject: Re: Patch boot/common/relocate.S to start kernel at 0x000c

From: Dan Malek <[email-masked]>
Date: Wed, 05 Mar 2003 12:24:36 -0500

Wolfgang Denk wrote:

> BTW: _all_ this writing to kernel text is a Bad  Thing  (TM),  as  it
> makes XIP (for example running from ROM) really difficult.

Well, technically you aren't writing to kernel text space, you are
writing to low real memory locations. :-)  I've done several PowerPC XIP
from rom systems without any trouble, so I kind of fail to understand
why this would cause trouble.  I don't know what we gain from XIP,
except a little available ram space, but it people want it.....

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/